/*
    --------------------------------------------------------------------
                             RMF RDS Widget
                Copyright (c) 2007-2012 Jacek Jędrzejewski
                    http://www.jacek.jedrzejewski.name/
                          All rights reserved.
    --------------------------------------------------------------------

    This file is part of RMF RDS Widget.
*/

import flash.external.ExternalInterface;
import rds.Player;
import rds.Log;

class Radio
{
    static function main():Void
    {
        Log.setRedirection();
        
        var radioPlayer:Player = new Player();
        
        ExternalInterface.addCallback("configure", radioPlayer.configure);
        
        ExternalInterface.addCallback("radioPlay", radioPlayer.play);
        ExternalInterface.addCallback("radioStop", radioPlayer.stop);
        ExternalInterface.addCallback("radioVolume", radioPlayer.changeVolume);
        ExternalInterface.addCallback("radioStream", radioPlayer.setStream);
    }
}